Commit 9cdef1ec authored by Sébastiaan Versteeg's avatar Sébastiaan Versteeg
Browse files

Update React Native to 0.52

parent c2910c39
......@@ -16,11 +16,15 @@
; Ignore polyfills
.*/Libraries/polyfills/.*
; Ignore metro
.*/node_modules/metro/.*
[include]
[libs]
node_modules/react-native/Libraries/react-native/react-native-interface.js
node_modules/react-native/flow/
node_modules/react-native/flow-github/
[options]
emoji=true
......@@ -31,18 +35,22 @@ munge_underscores=true
module.name_mapper='^[./a-zA-Z0-9$_-]+\.\(bmp\|gif\|jpg\|jpeg\|png\|psd\|svg\|webp\|m4v\|mov\|mp4\|mpeg\|mpg\|webm\|aac\|aiff\|caf\|m4a\|mp3\|wav\|html\|pdf\)$' -> 'RelativeImageStub'
module.file_ext=.js
module.file_ext=.jsx
module.file_ext=.json
module.file_ext=.native.js
suppress_type=$FlowIssue
suppress_type=$FlowFixMe
suppress_type=$FlowFixMeProps
suppress_type=$FlowFixMeState
suppress_type=$FixMe
suppress_comment=\\(.\\|\n\\)*\\$FlowFixMe\\($\\|[^(]\\|(\\(>=0\\.\\(5[0-7]\\|[1-4][0-9]\\|[0-9]\\).[0-9]\\)? *\\(site=[a-z,_]*react_native[a-z,_]*\\)?)\\)
suppress_comment=\\(.\\|\n\\)*\\$FlowIssue\\((\\(>=0\\.\\(5[0-7]\\|[1-4][0-9]\\|[0-9]\\).[0-9]\\)? *\\(site=[a-z,_]*react_native[a-z,_]*\\)?)\\)?:? #[0-9]+
suppress_comment=\\(.\\|\n\\)*\\$FlowFixMe\\($\\|[^(]\\|(\\(<VERSION>\\)? *\\(site=[a-z,_]*react_native[a-z,_]*\\)?)\\)
suppress_comment=\\(.\\|\n\\)*\\$FlowIssue\\((\\(<VERSION>\\)? *\\(site=[a-z,_]*react_native[a-z,_]*\\)?)\\)?:? #[0-9]+
suppress_comment=\\(.\\|\n\\)*\\$FlowFixedInNextDeploy
suppress_comment=\\(.\\|\n\\)*\\$FlowExpectedError
unsafe.enable_getters_and_setters=true
[version]
^0.57.0
^0.61.0
PODS:
- FirebaseAnalytics (4.0.4):
- Firebase/Core (4.8.0):
- FirebaseAnalytics (= 4.0.5)
- FirebaseCore (= 4.0.13)
- Firebase/Messaging (4.8.0):
- Firebase/Core
- FirebaseMessaging (= 2.0.8)
- FirebaseAnalytics (4.0.5):
- FirebaseCore (~> 4.0)
- FirebaseInstanceID (~> 2.0)
- GoogleToolboxForMac/NSData+zlib (~> 2.1)
- nanopb (~> 0.3)
- FirebaseCore (4.0.8):
- FirebaseCore (4.0.13):
- GoogleToolboxForMac/NSData+zlib (~> 2.1)
- nanopb (~> 0.3)
- FirebaseInstanceID (2.0.4)
- FirebaseMessaging (2.0.4):
- FirebaseInstanceID (2.0.8):
- FirebaseCore (~> 4.0)
- FirebaseMessaging (2.0.8):
- FirebaseAnalytics (~> 4.0)
- FirebaseCore (~> 4.0)
- FirebaseInstanceID (~> 2.0)
......@@ -24,20 +30,22 @@ PODS:
- nanopb/encode (= 0.3.8)
- nanopb/decode (0.3.8)
- nanopb/encode (0.3.8)
- Protobuf (3.4.0)
- Protobuf (3.5.0)
DEPENDENCIES:
- FirebaseMessaging (~> 2.0)
- Firebase/Core
- Firebase/Messaging
SPEC CHECKSUMS:
FirebaseAnalytics: 722b53c7b32bfc7806b06e0093a2f5180d4f2c5a
FirebaseCore: 69b1a5ac5f857ba6d5fd9d5fe794f4786dd5e579
FirebaseInstanceID: 70c2b877e9338971b2429ea5a4293df6961aa44e
FirebaseMessaging: 3dd86bfda2acb680b05c97f3f8ac566e9bb87b2a
Firebase: 710decbbc6d9d48530e9a5dba3209740c3532e05
FirebaseAnalytics: 5b02a63ead2c3f0259cfc7f15e053e440587ecf8
FirebaseCore: 3c02ec652db3d03fdc8bc6d9154af3e20d64b6f5
FirebaseInstanceID: 81df5805a08001e69138664bdd02c6719a9ac80f
FirebaseMessaging: dfdcd307c2382290a1e297a81d0f18370f5b1bcd
GoogleToolboxForMac: 2501e2ad72a52eb3dfe7bd9aee7dad11b858bd20
nanopb: 5601e6bca2dbf1ed831b519092ec110f66982ca3
Protobuf: 03eef2ee0b674770735cf79d9c4d3659cf6908e8
Protobuf: 8a9838fba8dae3389230e1b7f8c104aa32389c03
PODFILE CHECKSUM: b1d99e66ac36ba21e5909e94f4bbda6fe8703a10
PODFILE CHECKSUM: 81d414439f1f341b58c306e954d202374221992d
COCOAPODS: 1.3.1
......@@ -200,6 +200,27 @@
remoteGlobalIDString = 4114DC4C1C187C3A003CD988;
remoteInfo = RNSnackbar;
};
32A9BC57200901AB00CD5AD7 /* PBXContainerItemProxy */ = {
isa = PBXContainerItemProxy;
containerPortal = 146833FF1AC3E56700842450 /* React.xcodeproj */;
proxyType = 2;
remoteGlobalIDString = 2D2A28131D9B038B00D4039D;
remoteInfo = "React-tvOS";
};
32A9BC59200901AB00CD5AD7 /* PBXContainerItemProxy */ = {
isa = PBXContainerItemProxy;
containerPortal = 146833FF1AC3E56700842450 /* React.xcodeproj */;
proxyType = 2;
remoteGlobalIDString = EBF21BDC1FC498900052F4D5;
remoteInfo = jsinspector;
};
32A9BC5B200901AB00CD5AD7 /* PBXContainerItemProxy */ = {
isa = PBXContainerItemProxy;
containerPortal = 146833FF1AC3E56700842450 /* React.xcodeproj */;
proxyType = 2;
remoteGlobalIDString = EBF21BFA1FC4989A0052F4D5;
remoteInfo = "jsinspector-tvOS";
};
32D3E4861ED98796004F54F8 /* PBXContainerItemProxy */ = {
isa = PBXContainerItemProxy;
containerPortal = 5A90BA3FF7F8422A9150FDAA /* BVLinearGradient.xcodeproj */;
......@@ -412,7 +433,7 @@
9BEFAC4FDFA23ABFAA6C038A /* CoreVideo.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = CoreVideo.framework; path = System/Library/Frameworks/CoreVideo.framework; sourceTree = SDKROOT; };
9D762E1DAD73438C812C1461 /* Foundation.ttf */ = {isa = PBXFileReference; explicitFileType = undefined; fileEncoding = 9; includeInIndex = 0; lastKnownFileType = unknown; name = Foundation.ttf; path = "../node_modules/react-native-vector-icons/Fonts/Foundation.ttf"; sourceTree = "<group>"; };
A0A689B11A004758B19C64CE /* RNVectorIcons.xcodeproj */ = {isa = PBXFileReference; explicitFileType = undefined; fileEncoding = 9; includeInIndex = 0; lastKnownFileType = "wrapper.pb-project"; name = RNVectorIcons.xcodeproj; path = "../node_modules/react-native-vector-icons/RNVectorIcons.xcodeproj"; sourceTree = "<group>"; };
A28109E09731D9E1C9150FFC /* BuddyBuildSDK.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = BuddyBuildSDK.framework; path = BuddyBuildSDK.framework; sourceTree = "<group>"; };
A28109E09731D9E1C9150FFC /* BuddyBuildSDK.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; path = BuddyBuildSDK.framework; sourceTree = "<group>"; };
ADBDB91F1DFEBF0600ED6528 /* RCTBlob.xcodeproj */ = {isa = PBXFileReference; lastKnownFileType = "wrapper.pb-project"; name = RCTBlob.xcodeproj; path = "../node_modules/react-native/Libraries/Blob/RCTBlob.xcodeproj"; sourceTree = "<group>"; };
B1083F2DA4E240B69789FA61 /* FontAwesome.ttf */ = {isa = PBXFileReference; explicitFileType = undefined; fileEncoding = 9; includeInIndex = 0; lastKnownFileType = unknown; name = FontAwesome.ttf; path = "../node_modules/react-native-vector-icons/Fonts/FontAwesome.ttf"; sourceTree = "<group>"; };
C18BC9778EF94FC69E1C628D /* MaterialIcons.ttf */ = {isa = PBXFileReference; explicitFileType = undefined; fileEncoding = 9; includeInIndex = 0; lastKnownFileType = unknown; name = MaterialIcons.ttf; path = "../node_modules/react-native-vector-icons/Fonts/MaterialIcons.ttf"; sourceTree = "<group>"; };
......@@ -593,13 +614,15 @@
isa = PBXGroup;
children = (
146834041AC3E56700842450 /* libReact.a */,
3DAD3EA31DF850E9000B6D8A /* libReact.a */,
32A9BC58200901AB00CD5AD7 /* libReact.a */,
3DAD3EA51DF850E9000B6D8A /* libyoga.a */,
3DAD3EA71DF850E9000B6D8A /* libyoga.a */,
3DAD3EA91DF850E9000B6D8A /* libcxxreact.a */,
3DAD3EAB1DF850E9000B6D8A /* libcxxreact.a */,
3DAD3EAD1DF850E9000B6D8A /* libjschelpers.a */,
3DAD3EAF1DF850E9000B6D8A /* libjschelpers.a */,
32A9BC5A200901AB00CD5AD7 /* libjsinspector.a */,
32A9BC5C200901AB00CD5AD7 /* libjsinspector-tvOS.a */,
328DFE661FEAAF8100807230 /* libthird-party.a */,
328DFE681FEAAF8100807230 /* libthird-party.a */,
328DFE6A1FEAAF8100807230 /* libdouble-conversion.a */,
......@@ -615,6 +638,7 @@
children = (
162DE951FF45441397E81D10 /* libRNFIRMessaging.a */,
290659E890FD4B2CB58F9F15 /* libRNSnackbar.a */,
3DAD3EA31DF850E9000B6D8A /* libReact.a */,
);
name = "Recovered References";
sourceTree = "<group>";
......@@ -1114,6 +1138,27 @@
remoteRef = 328DFE761FEAAF8100807230 /* PBXContainerItemProxy */;
sourceTree = BUILT_PRODUCTS_DIR;
};
32A9BC58200901AB00CD5AD7 /* libReact.a */ = {
isa = PBXReferenceProxy;
fileType = archive.ar;
path = libReact.a;
remoteRef = 32A9BC57200901AB00CD5AD7 /* PBXContainerItemProxy */;
sourceTree = BUILT_PRODUCTS_DIR;
};
32A9BC5A200901AB00CD5AD7 /* libjsinspector.a */ = {
isa = PBXReferenceProxy;
fileType = archive.ar;
path = libjsinspector.a;
remoteRef = 32A9BC59200901AB00CD5AD7 /* PBXContainerItemProxy */;
sourceTree = BUILT_PRODUCTS_DIR;
};
32A9BC5C200901AB00CD5AD7 /* libjsinspector-tvOS.a */ = {
isa = PBXReferenceProxy;
fileType = archive.ar;
path = "libjsinspector-tvOS.a";
remoteRef = 32A9BC5B200901AB00CD5AD7 /* PBXContainerItemProxy */;
sourceTree = BUILT_PRODUCTS_DIR;
};
32D3E4871ED98796004F54F8 /* libBVLinearGradient.a */ = {
isa = PBXReferenceProxy;
fileType = archive.ar;
......@@ -1358,13 +1403,16 @@
files = (
);
inputPaths = (
"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
"${PODS_ROOT}/Manifest.lock",
);
name = "[CP] Check Pods Manifest.lock";
outputPaths = (
"$(DERIVED_FILE_DIR)/Pods-ThaliApp-checkManifestLockResult.txt",
);
runOnlyForDeploymentPostprocessing = 0;
shellPath = /bin/sh;
shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n";
shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
showEnvVarsInLog = 0;
};
346C8547EFAF130EE138DEA6 /* [CP] Check Pods Manifest.lock */ = {
......@@ -1373,13 +1421,16 @@
files = (
);
inputPaths = (
"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
"${PODS_ROOT}/Manifest.lock",
);
name = "[CP] Check Pods Manifest.lock";
outputPaths = (
"$(DERIVED_FILE_DIR)/Pods-ThaliAppTests-checkManifestLockResult.txt",
);
runOnlyForDeploymentPostprocessing = 0;
shellPath = /bin/sh;
shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n";
shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
showEnvVarsInLog = 0;
};
8F97D326ECA2C6D43E82071B /* [CP] Copy Pods Resources */ = {
......
......@@ -290,7 +290,7 @@ babel-eslint@^7.1.1:
babel-types "^6.23.0"
babylon "^6.17.0"
babel-generator@^6.18.0, babel-generator@^6.24.1, babel-generator@^6.26.0:
babel-generator@^6.18.0, babel-generator@^6.26.0:
version "6.26.0"
resolved "https://registry.yarnpkg.com/babel-generator/-/babel-generator-6.26.0.tgz#ac1ae20070b79f6e3ca1d3269613053774f20dc5"
dependencies:
......@@ -1550,6 +1550,10 @@ detect-libc@^1.0.2:
version "1.0.3"
resolved "https://registry.yarnpkg.com/detect-libc/-/detect-libc-1.0.3.tgz#fa137c4bd698edf55cd5cd02ac559f91a4c4ba9b"
detect-newline@^2.1.0:
version "2.1.0"
resolved "https://registry.yarnpkg.com/detect-newline/-/detect-newline-2.1.0.tgz#f41f1c10be4b00e87b5f13da680759f2c5bfd3e2"
diff@^2.1.2:
version "2.2.3"
resolved "https://registry.yarnpkg.com/diff/-/diff-2.2.3.tgz#60eafd0d28ee906e4e8ff0a52c1229521033bf99"
......@@ -2908,9 +2912,17 @@ jest-diff@^19.0.0:
jest-matcher-utils "^19.0.0"
pretty-format "^19.0.0"
jest-docblock@^21, jest-docblock@^21.2.0:
version "21.2.0"
resolved "https://registry.yarnpkg.com/jest-docblock/-/jest-docblock-21.2.0.tgz#51529c3b30d5fd159da60c27ceedc195faf8d414"
jest-docblock@22.0.0:
version "22.0.0"
resolved "https://registry.yarnpkg.com/jest-docblock/-/jest-docblock-22.0.0.tgz#2e6a79360172b90bd2cd235a4832e38388b3b658"
dependencies:
detect-newline "^2.1.0"
jest-docblock@^22.0.0:
version "22.0.6"
resolved "https://registry.yarnpkg.com/jest-docblock/-/jest-docblock-22.0.6.tgz#f187fb2c67eec0999e569d563092125283084f9e"
dependencies:
detect-newline "^2.1.0"
jest-environment-jsdom@^19.0.2:
version "19.0.2"
......@@ -2931,6 +2943,17 @@ jest-file-exists@^19.0.0:
version "19.0.0"
resolved "https://registry.yarnpkg.com/jest-file-exists/-/jest-file-exists-19.0.0.tgz#cca2e587a11ec92e24cfeab3f8a94d657f3fceb8"
jest-haste-map@22.0.0:
version "22.0.0"
resolved "https://registry.yarnpkg.com/jest-haste-map/-/jest-haste-map-22.0.0.tgz#aa0730a16a07c287100c0c213c118dc9a4255d2d"
dependencies:
fb-watchman "^2.0.0"
graceful-fs "^4.1.11"
jest-docblock "^22.0.0"
jest-worker "^22.0.0"
micromatch "^2.3.11"
sane "^2.0.0"
jest-haste-map@^19.0.0:
version "19.0.2"
resolved "https://registry.yarnpkg.com/jest-haste-map/-/jest-haste-map-19.0.2.tgz#286484c3a16e86da7872b0877c35dce30c3d6f07"
......@@ -2941,17 +2964,6 @@ jest-haste-map@^19.0.0:
sane "~1.5.0"
worker-farm "^1.3.1"
jest-haste-map@^21:
version "21.2.0"
resolved "https://registry.yarnpkg.com/jest-haste-map/-/jest-haste-map-21.2.0.tgz#1363f0a8bb4338f24f001806571eff7a4b2ff3d8"
dependencies:
fb-watchman "^2.0.0"
graceful-fs "^4.1.11"
jest-docblock "^21.2.0"
micromatch "^2.3.11"
sane "^2.0.0"
worker-farm "^1.3.1"
jest-jasmine2@^19.0.2:
version "19.0.2"
resolved "https://registry.yarnpkg.com/jest-jasmine2/-/jest-jasmine2-19.0.2.tgz#167991ac825981fb1a800af126e83afcca832c73"
......@@ -3061,6 +3073,18 @@ jest-validate@^19.0.2:
leven "^2.0.0"
pretty-format "^19.0.0"
jest-worker@22.0.0:
version "22.0.0"
resolved "https://registry.yarnpkg.com/jest-worker/-/jest-worker-22.0.0.tgz#4a276938a2077e1d72b6a2acd1d43826a9fd07f8"
dependencies:
merge-stream "^1.0.1"
jest-worker@^22.0.0:
version "22.0.6"
resolved "https://registry.yarnpkg.com/jest-worker/-/jest-worker-22.0.6.tgz#1998ac7ab24a6eee4deddec76efe7742f2651504"
dependencies:
merge-stream "^1.0.1"
jest@^19.0.2:
version "19.0.2"
resolved "https://registry.yarnpkg.com/jest/-/jest-19.0.2.tgz#b794faaf8ff461e7388f28beef559a54f20b2c10"
......@@ -3433,14 +3457,24 @@ methods@~1.1.2:
version "1.1.2"
resolved "https://registry.yarnpkg.com/methods/-/methods-1.1.2.tgz#5529a4d67654134edcc5266656835b0f851afcee"
metro-bundler@^0.20.0:
version "0.20.3"
resolved "https://registry.yarnpkg.com/metro-bundler/-/metro-bundler-0.20.3.tgz#0ded01b64e8963117017b106f75b83cfc34f3656"
metro-core@0.24.3, metro-core@^0.24.1:
version "0.24.3"
resolved "https://registry.yarnpkg.com/metro-core/-/metro-core-0.24.3.tgz#be3bea5555759d11c63e110f30f555bcf936b784"
metro-source-map@0.24.3:
version "0.24.3"
resolved "https://registry.yarnpkg.com/metro-source-map/-/metro-source-map-0.24.3.tgz#46c6dea295b6b394cad0208c48e9cadb2f25e09b"
dependencies:
source-map "^0.5.6"
metro@^0.24.1:
version "0.24.3"
resolved "https://registry.yarnpkg.com/metro/-/metro-0.24.3.tgz#fc3064a022ff08ad18e4df3c568da9b0622f556c"
dependencies:
absolute-path "^0.0.0"
async "^2.4.0"
babel-core "^6.24.1"
babel-generator "^6.24.1"
babel-generator "^6.26.0"
babel-plugin-external-helpers "^6.18.0"
babel-preset-es2015-node "^6.1.1"
babel-preset-fbjs "^2.1.4"
......@@ -3449,19 +3483,24 @@ metro-bundler@^0.20.0:
babylon "^6.18.0"
chalk "^1.1.1"
concat-stream "^1.6.0"
connect "^2.8.3"
core-js "^2.2.2"
debug "^2.2.0"
denodeify "^1.2.1"
fbjs "^0.8.14"
fs-extra "^1.0.0"
graceful-fs "^4.1.3"
image-size "^0.6.0"
jest-docblock "^21"
jest-haste-map "^21"
jest-docblock "22.0.0"
jest-haste-map "22.0.0"
jest-worker "22.0.0"
json-stable-stringify "^1.0.1"
json5 "^0.4.0"
left-pad "^1.1.3"
lodash "^4.16.6"
merge-stream "^1.0.1"
metro-core "0.24.3"
metro-source-map "0.24.3"
mime-types "2.1.11"
mkdirp "^0.5.1"
request "^2.79.0"
......@@ -3469,10 +3508,11 @@ metro-bundler@^0.20.0:
source-map "^0.5.6"
temp "0.8.3"
throat "^4.1.0"
uglify-es "^3.1.8"
uglify-es "^3.1.9"
wordwrap "^1.0.0"
write-file-atomic "^1.2.0"
xpipe "^1.0.5"
yargs "^9.0.0"
micromatch@^2.1.5, micromatch@^2.3.11:
version "2.3.11"
......@@ -4103,9 +4143,9 @@ react-deep-force-update@^1.0.0:
version "1.1.1"
resolved "https://registry.yarnpkg.com/react-deep-force-update/-/react-deep-force-update-1.1.1.tgz#bcd31478027b64b3339f108921ab520b4313dc2c"
react-devtools-core@^2.5.0:
version "2.5.2"
resolved "https://registry.yarnpkg.com/react-devtools-core/-/react-devtools-core-2.5.2.tgz#f97bec5afae5d9318d16778065e0c214c4d5714c"
react-devtools-core@3.0.0:
version "3.0.0"
resolved "https://registry.yarnpkg.com/react-devtools-core/-/react-devtools-core-3.0.0.tgz#f683e19f0311108f97dbb5b29d948323a1bf7c03"
dependencies:
shell-quote "^1.6.1"
ws "^2.0.3"
......@@ -4164,9 +4204,9 @@ react-native-vector-icons@^4.0.1:
prop-types "^15.5.10"
yargs "^8.0.2"
react-native@0.51.0:
version "0.51.0"
resolved "https://registry.yarnpkg.com/react-native/-/react-native-0.51.0.tgz#fe25934b3030fd323f3ca1a70f034133465955ed"
react-native@0.52.0:
version "0.52.0"
resolved "https://registry.yarnpkg.com/react-native/-/react-native-0.52.0.tgz#9784663a2aa40b30c87d4c9c06ef26cf8d419d91"
dependencies:
absolute-path "^0.0.0"
art "^0.10.0"
......@@ -4195,7 +4235,8 @@ react-native@0.51.0:
graceful-fs "^4.1.3"
inquirer "^3.0.6"
lodash "^4.16.6"
metro-bundler "^0.20.0"
metro "^0.24.1"
metro-core "^0.24.1"
mime "^1.3.4"
minimist "^1.2.0"
mkdirp "^0.5.1"
......@@ -4209,7 +4250,7 @@ react-native@0.51.0:
promise "^7.1.1"
prop-types "^15.5.8"
react-clone-referenced-element "^1.0.1"
react-devtools-core "^2.5.0"
react-devtools-core "3.0.0"
react-timer-mixin "^0.13.2"
regenerator-runtime "^0.11.0"
rimraf "^2.5.4"
......@@ -4258,9 +4299,9 @@ react-transform-hmr@^1.0.4:
global "^4.3.0"
react-proxy "^1.1.7"
react@16.0.0:
version "16.0.0"
resolved "https://registry.yarnpkg.com/react/-/react-16.0.0.tgz#ce7df8f1941b036f02b2cca9dbd0cb1f0e855e2d"
react@16.2.0:
version "16.2.0"
resolved "https://registry.yarnpkg.com/react/-/react-16.2.0.tgz#a31bd2dab89bff65d42134fa187f24d054c273ba"
dependencies:
fbjs "^0.8.16"
loose-envify "^1.1.0"
......@@ -5090,9 +5131,9 @@ ua-parser-js@^0.7.9:
version "0.7.17"
resolved "https://registry.yarnpkg.com/ua-parser-js/-/ua-parser-js-0.7.17.tgz#e9ec5f9498b9ec910e7ae3ac626a805c4d09ecac"
uglify-es@^3.1.8:
version "3.2.1"
resolved "https://registry.yarnpkg.com/uglify-es/-/uglify-es-3.2.1.tgz#93de0aad8a1bb629c8a316f686351bc4d6ece687"
uglify-es@^3.1.9:
version "3.3.5"
resolved "https://registry.yarnpkg.com/uglify-es/-/uglify-es-3.3.5.tgz#cf7e695da81999f85196b15e2978862f13212f88"
dependencies:
commander "~2.12.1"
source-map "~0.6.1"
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment